fields:
- datatype: xsd:boolean
  domain: crm:E1_CRM_Entity
  id: ismi_public_view
  label: ISMI public
  queries:
  - select: "SELECT (bound(?public) as ?value)\nWHERE {\n  $subject a ?type .\n  optional\
      \ {\n    $subject crm:P2_has_type ?public .\n    filter(?public = <http://content.mpiwg-berlin.mpg.de/ns/ismi/type/public/is-public>)\n\
      \        #bind(bound(?public) as ?value)\n  }\n  filter(?type in (ismi:Person,\
      \ ismi:Text, ismi:Witness, ismi:Codex, ismi:Collection, ismi:Repository, ismi:Place,\
      \ ismi:Subject))\n}"
  - insert: INSERT { $subject ?predicate $value} WHERE {}
prefix: http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/
